package omq.test.supervisor;

import omq.client.annotation.AsyncMethod;
import omq.server.RemoteObject;

public class SleepImpl extends RemoteObject implements Sleep {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	@AsyncMethod
	public void sleep() {
		try {
			System.out.println("I'm going to sleep!!!!!!!!" + Thread.currentThread().getId());
			Thread.sleep(2000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
